Loading...
Searching...
No Matches
cache_compare Struct Reference

## Public Member Functions

bool | operator() (const poly &l, const poly &r) const

## Detailed Description

Definition at line 216 of file syz4.cc.

## Member Function Documentation

## operator()()

bool cache_compare::operator() | ( | const poly & | l,
|  | const poly & | r ) const

inline

Definition at line 218 of file syz4.cc.

{
return (p_LmCmp(l, r, currRing) == -1);
/* For expensive orderings, consider:
* return (memcmp(l->exp, r->exp,
* (currRing->CmpL_Size)*sizeof(unsigned long)) < 0);
*/
}
l
int l
Definition cfEzgcd.cc:100
p_LmCmp
static int p_LmCmp(poly p, poly q, const ring r)
Definition p_polys.h:1601
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13

The documentation for this struct was generated from the following file:

- kernel/GBEngine/syz4.cc